# Import the viiaPackage
from viiapackage import *

# Initiate the session
project = viia_create_project(project_name='969M', version_nr=1)

# analysis and signal
analysis_nr = 'A12'
signal = 'S1'

# Work directory
work_dir = Path.cwd()/'A12 - NLTH flex base'/'S1'/'20210124124013-v001'

# Obtaining the files
try:
    dat_file = next(x for x in work_dir.iterdir() if x.suffix == '.dat')
    out_file = next(x for x in work_dir.iterdir() if x.suffix == '.out')
    json_file = next(x for x in work_dir.iterdir() if x.suffix == '.json'
                     and x.name.startswith(project.name))
except StopIteration:
    project.write_log('ERROR: Please check if the .dat, .out and json file of the '
                      'model are in the working directory')
    raise FileNotFoundError

# Creating the result pictures
project.read_dump(json_file)

project.evaluation_step = 88

if project.rhdhvDIANA.run_diana:
    project.create_model()
    project.viia_result_pictures(analysis_nr=analysis_nr, signal=signal)
